package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.LoginLog;
import com.sa.ibiz.demo.demo.service.dto.LoginLogSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[LoginLog] 服务对象接口
 */
public interface LoginLogService extends IService<LoginLog>{

	boolean checkKey(LoginLog et);
	boolean update(LoginLog et);
	boolean getDraft(LoginLog et);
	boolean create(LoginLog et);
		LoginLog get(LoginLog et);
	boolean remove(LoginLog et);
    List<LoginLog> listDefault(LoginLogSearchFilter filter) ;
	Page<LoginLog> searchDefault(LoginLogSearchFilter filter);
	/**	 实体[LoginLog] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }